{extends file='theme.tpl'}

{* Workaround for simpleviewer.js resetting viewport in IOS 7 *}
{block "meta"}
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title dir="ltr">{$ss_siteTitle} | {$ss_navName}</title>
    {* call to simpleviewer.js moved above the viewport meta tag *}
    <script type="text/javascript" src="{$ss_viewersUrl}/simpleviewer/svcore/js/simpleviewer.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="{$ss_metaKeywords}">
    <meta name="description" content="{$ss_pageDescription}">
    <meta property="og:title" content="{$ss_ogTitle}"> 
    <meta property="og:type" content="website">
    <meta property="og:url" content="http://{$ss_hostName}{$ss_pageUrl}/"> 
    <meta property="og:description" content="{$ss_pageDescription}">
{if $ss_ogImageUrl ne ''}
    <meta property="og:image" content="http://{$ss_ogImageUrl}">
{/if}
{/block}

{block "content"}
      <section class="gallery gallery-simpleviewer">
<!--START SIMPLEVIEWER EMBED -->
{if $backgroundTransparent|lower eq "true"}
  {$backgroundColor = "transparent"}
{/if}
        {* call to simpleviewer.js moved from here *}
        <script type="text/javascript">
            var flashvars = {
                languageCode : "{$languageCode}",
                languageList : "{$languageList}",
                baseURL : "{$ss_pageUrl}/"
            };
            var params = {};
            var attributes = {};
            simpleviewer.ready(function() {
                simpleviewer.load(
                   "sv-container",
                   "{$galleryWidth}",
                   "{$galleryHeight}",
                   "{$backgroundColor}",
                   {$useFlash},
                   flashvars,
                   params,
                   attributes,
                   {$useColorCorrection}
                );
            });
        </script>
        <div id="sv-container">{$ss_SEOContent}</div>
<!--END SIMPLEVIEWER EMBED -->
      </section>
      <section class="page-body">
        <h2 class="page-title">{$ss_pageTitle}</h2>
        <div class="body-content {$pageBodyLayout}">
          {$ss_pageBody}
        </div>
      </section>
{/block}

{block "body" append}
    <script src="{$ss_themesUrl}/base/js/skgalleries.js"></script>
    <script>
      fitGallery({
        pageType: 'simpleviewer',
        containerId: 'sv-container',
        pageVersion: '{$ss_pageVersion}',
        offset: {$galleryOffset},
        targetWidth: {$targetImageWidth},
        targetHeight: {$targetImageHeight},
        external: {$galleryExternalFit},
        internal: {$galleryInternalFit}
      });
    </script>
{/block}
