{extends file='theme.tpl'}

{block "styles" append}
    /* Set Juicebox text link colors */
    .juicebox-gallery a:not(.jb-go-back-icon) {
      color: {$textColor} !important;
    }
    .juicebox-gallery a:not([class*="jb"]) {
      text-decoration: underline;
    }
    .juicebox-gallery .jb-splash-info a {
      color: #FFF !important;
    }
{/block}

{* Manager has a different viewport meta tag *}
 
{block "meta"}
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title dir="ltr">{$ss_siteTitle} | {$ss_navName}</title>
    <meta name="viewport" id="jb-viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1, maximum-scale=1, user-scalable=0">
    <meta name="keywords" content="{$ss_metaKeywords}">
    <meta name="description" content="{$ss_pageDescription}">
    <meta property="og:title" content="{$ss_ogTitle}">
    <meta property="og:type" content="website">
    <meta property="og:url" content="http://{$ss_hostName}{$ss_pageUrl}/">
    <meta property="og:description" content="{$ss_pageDescription}">
{if $ss_ogImageUrl ne ''}
    <meta property="og:image" content="http://{$ss_ogImageUrl}">
{/if}
{/block}

{block name=body}
<!--START JUICEBOX EMBED.-->
    <script src="{$ss_viewersUrl}/juicebox/jbcore/juicebox.js"></script>
    <script>
        new juicebox({
            containerId : 'juicebox-container',
            galleryWidth : '{$galleryWidth}',
            galleryHeight : '{$galleryHeight}',
            backgroundColor : '{$backgroundColor}',
            baseUrl : '{$ss_pageUrl}/'
        });
    </script>
    <div id="juicebox-container">{$ss_SEOContent}</div>
<!--END JUICEBOX EMBED.-->
{/block}
