{extends file = 'theme.tpl'}
{* Completely replaces juicebox.tpl file in base theme *}

{block "styles" append}
    /* Set Juicebox text link colors */
    .juicebox-gallery a:not(.jb-go-back-icon) {
      color: {$textColor} !important;
    }
    .juicebox-gallery a:not([class*="jb"]) {
      text-decoration: underline;
    }
    .juicebox-gallery .jb-splash-info a {
      color: #FFF !important;
    }
{/block}

{* Add page layout choice for Maribo *}
{block "content"}
{if $juiceboxPosition eq 'below'}
      <section class="page-body">
        <h2 class="page-title">{$ss_pageTitle}</h2>
        <div class="body-content {$pageBodyLayout}">
          {$ss_pageBody}
        </div>
      </section>
{/if}
      <section class="gallery gallery-juicebox">
<!--START JUICEBOX EMBED.-->
        <script src="{$ss_viewersUrl}/juicebox/jbcore/juicebox.js"></script>
        <script>
            var jb = new juicebox({
                containerId : 'juicebox-container',
                galleryWidth : '{$galleryWidth}',
                galleryHeight : '{$galleryHeight}',
                backgroundColor : '{$backgroundColor}',
                baseUrl : '{$ss_pageUrl}/'
            });
        </script>
        <div id="juicebox-container">{$ss_SEOContent}</div>
<!--END JUICEBOX EMBED.-->
      </section>
{if $juiceboxPosition eq 'above'}
      <section class="page-body">
        <h2 class="page-title">{$ss_pageTitle}</h2>
        <div class="body-content {$pageBodyLayout}">
          {$ss_pageBody}
        </div>
      </section>
{/if}
{/block}

{block "body" append}
    <script src="{$ss_themesUrl}/base/js/skgalleries.js"></script>
    <script>
        fitGallery({
            pageType: 'juicebox',
            containerId: 'juicebox-container',
            pageVersion: '{$ss_pageVersion}',
            offset: {$galleryOffset},
            targetWidth: {$targetImageWidth},
            targetHeight: {$targetImageHeight},
            external: {$galleryExternalFit},
            internal: {$galleryInternalFit},
            smallOffset: {$smallGalleryOffset},
            viewer: jb
        });
    </script>
{/block}
