{extends file = 'theme.tpl'}
{* completely replaces listviewer.tpl from base theme *}

{block "styles" append}
      /* listviewer styles */
      .image-wrap {
        box-shadow: {$imageShadowColor} 0 0 {$imageShadowBlur}px;
      }
{/block}

{block "content"}
{* featured image *}
{if $featuredImage eq 'true' and count($ss_images) gt 0}
      <div class="gallery-listviewer">
          <figure class="featured-image">
                <div class="fig-inner">
                  <div class="fig-image" style="max-width: {$ss_images[0]->width}px">
                    <div class="image-wrap" style="padding-bottom: {$ss_images[0]->format}%">
                        <a{if $ss_images[0]->linkUrl ne ''} href="{$ss_images[0]->linkUrl}" target="{$ss_images[0]->linkTarget}" title="link: {$ss_images[0]->linkUrl}"{/if}>
                        <img alt="{$ss_images[0]->title|strip_tags:false}" src="{$ss_images[0]->imageAbsUrl}">
                        </a>
                    </div>
                  </div>
                </div>
                <figcaption>
                  <h3 class="title">{$ss_images[0]->title}</h3>
                  {$ss_images[0]->captionHtml}
                </figcaption>
          </figure>
      </div>
{/if}
{* end featured image *}
{* page body above main image section *}
{if $listviewerPosition eq 'below'}
        <section class="page-body">
          <h2 class="page-title">{$ss_pageTitle}</h2>
          <div class="body-content {$pageBodyLayout}">
            {$ss_pageBody}
          </div>
        </section>
{/if}
{* end page body above main image section *}
{* main image section *}
        <section class="gallery gallery-listviewer images-{$imageSectionPosition}">
          <ul class="gallery-wrap {$imageAlign} show-index-{$ss_showIndexImage}">
{foreach $ss_images as $image}
{if $featuredImage eq 'true' and $image@first}
    {continue}
{/if}
{if $image->imageFilenameBare eq $ss_indexThumbBare}
            <li class="gallery-item gallery-index gallery-image-{$image@index}">
{else}
            <li class="gallery-item  gallery-image-{$image@index}">
{/if}
              <figure class="{$splitImageWidth}">
                <div class="fig-inner">
                  <div class="fig-image" style="max-width: {$image->width}px">
                    <div class="image-wrap" style="padding-bottom: {$image->format}%">
                        <a{if $image->linkUrl ne ''} href="{$image->linkUrl}" target="{$image->linkTarget}" title="link: {$image->linkUrl}"{/if}>
                        <img alt="{$image->title|strip_tags:false}" src="{$image->imageAbsUrl}">
                        </a>
                    </div>
                  </div>
                </div>
                <figcaption>
                  <h3 class="title">{$image->title}</h3>
                  {$image->captionHtml}
                </figcaption>
              </figure>
            </li>
{/foreach}
          </ul>
        </section>
{* end main image section *}
{* page body below main image section *}
{if $listviewerPosition eq 'above'}
        <section class="page-body">
          <h2 class="page-title">{$ss_pageTitle}</h2>
          <div class="body-content {$pageBodyLayout}">
            {$ss_pageBody}
          </div>
        </section>
{/if}
{* end page body below main image section *}
{/block}

{block "body" append}
{if $protectImages eq 'true'}
    <script>  
      //disable right-click and drag to save img
      $('section.gallery').on('contextmenu', 'a, img', function(e){ return false; });
      $('section.gallery').on('dragstart', 'a, img', function(e){ return false; });
    </script>
{/if}
{/block}
