<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2016, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$ds = DIRECTORY_SEPARATOR;
require_once "classes{$ds}formfield.php";
 
/**
 * Html form input
 *
 * @package Showkase
 */
class CheckboxField extends FormField
{
    /**
     * @var string default unchecked value
     */
    private $unchecked = 'false';
    
    /**
     * @var string default checked value
     */
    private $checked = 'true';
    
    /**
     * @var boolean default checked
     */
    private $iniChecked = true;
    
    /**
     * constructor
     * Values other than 'true' and 'false' can be set in ini file
     */
    public function __construct(array $iniVars)
    {
        parent::__construct($iniVars);
        if (isset($iniVars['values'][0])) {
            $this->unchecked = $iniVars['values'][0];
        }
        if (isset($iniVars['values'][1])) {
            $this->checked = $iniVars['values'][1];
        }
        $this->iniChecked = (strtolower($iniVars['value']) == $this->checked);
    }
    
    /**
     * Formats html string
     * Used outside the print/echo context
     *
     * @return string
     */
    public function getHtml(&$tab)
    {
        $tab++;
        $label = $this->getLabel();
        $checkString = (strtolower($this->value) == $this->checked)
            ? 'checked'
            : '';
        $divClass =
            $this->value === $this->iniValue
            ? 'input default'
            : 'input';
        $html = <<<EOD
<div class="control-group">
  {$label}
  <div class="{$divClass}">
    <input type="hidden" name="{$this->name}" value="{$this->unchecked}">
    <input type="checkbox" class="checkbox" name="{$this->name}" value="{$this->checked}" id="{$this->id}" tabindex="{$tab}" {$checkString} data-sk-default="{$this->iniChecked}">
    <button type="button" class="reset" title="reset" data-sk-for="{$this->id}">
      <span class="icon-undo">
      </span>
    </button>
  </div>
</div>
EOD;
      return $html;
    }
}