<?php
/**
 * Part of SimpleViewer.net portfolio web site package.
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$ds = DIRECTORY_SEPARATOR;
require_once "classes{$ds}xml.php";

/**
 * Reads page vars from xml file
 *
 * @package Showkase
 */
Class GalleryReader
{
    /**
     * Reads gallery settings
     *
     * @param string path to xml file
     * @param string name of base tag
     * @return array of setting names and values
     */
    public static function readSettings($xmlPath, $baseTag)
    {
        if (!file_exists($xmlPath)) return array();
        try {
            $pageXml = new Xml($xmlPath);
        } catch(Exception $e) {
          Board::addMessage($e->getMessage(), 'error');
          return array();
        }
        $settings = array();
        $domDoc = $pageXml->getDomDoc();
        $settingsTags = $domDoc->getElementsByTagName($baseTag);
        if ($settingsTags->length == 0) return array();
        $settingsTag = $settingsTags->item(0);
        if (!$settingsTag->hasAttributes()) return array();
        foreach ($settingsTag->attributes as $att) {
            $settings[$att->nodeName] = $att->nodeValue;
        }
        return $settings;
    }
}