<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$ds = DIRECTORY_SEPARATOR;
require_once "classes{$ds}formfield.php";

class HexColorField extends FormField
{  
    /**
     * Set value
     * Overrides parent method
     *
     * @return void
     * @param value string
     */
    public function setValue($value)
    {
        $hex = trim(strtolower($value));
        $hex = ltrim($hex, '#');
        $hex = str_replace('0x', '', $hex);
        $hex =  str_pad(strtoupper(dechex(hexdec(substr(trim($hex), 0, 6)))), 6, '0', STR_PAD_LEFT);
        $this->value = strtoupper($hex);
    }
  
  
    /**
     * Formats html string
     * Used outside the print/echo context
     *
     * @return string
     */
    public function getHtml(&$tab)
    {
      $tab++;
      $label = $this->getLabel();
      $divClass =
          $this->value === $this->iniValue
          ? 'input default'
          : 'input';
      $html = <<<EOD
<div class="control-group">
  {$label}
  <div class="{$divClass}">
    <input type="text" class="colorpicker" name="{$this->name}" id="{$this->id}" tabindex="{$tab}" value="{$this->value}" data-sk-default="{$this->iniValue}">
    <button type="button" class="reset" title="reset" data-sk-for="{$this->id}">
      <span class="icon-undo"></span>
    </button>
  </div>
</div>
EOD;
      return $html;
  }
}