<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
 
/**
 * Login screen
 *
 * @package Showkase
 */
class LoginScreen extends Screen
{
   /**
  * Returns login screen content
  *
  * @return string
  * @param boolean true if form has been submitted
  * @access public
  */
  function getContentHtml($context)
  {
    $versionWarning = (version_compare(PHP_VERSION, '5.2.0', '>'))
    ? '' :
      '<p class="error">Your php version is '.PHP_VERSION.'. Showkase requires version 5.2.0 minimum. Contact your web host for how to upgrade.</p>';
    $demoMessage = DEMO_MODE
        ? '
<p>Demonstration Version, changes are not saved.<br>
Please log-in and look around for 10 minutes.<br>
User name: <span style="color: #EB1B22">admin</span><br>
Password: <span style="color: #EB1B22">admin</span></p>'
        : '';
    $message = Board::getMessages();
    $loginContent = <<<EOD
    <body id="{$this->bodyId}">
	  <div id="wrapper">
    <div id="header">
      <p>&nbsp;</p>
    </div>
    <div id="content">
    <div id="welcome">
    <h1><img src="img/showkaseweblogo.png" alt="Showkase" width="260" height="40" /></h1>
    <p>Stunning portfolio websites made easy{$versionWarning}{$demoMessage}</p>
    </div>
    <div id="loginform">
      <div class="messages">    
        {$message}
      </div>
      <form action = "index.php" method="post" class="form-stacked">
        <p><label for="user" style="display: block">User name: </label><input class="text" type="text" name="user" id="user" /></p>
        <p><label for="password" style="display: block">Password: </label><input class="text" type="password" name="password" id="password" /></p>
        <p><input type="hidden" name="loginsubmitted" value="true" /><button type="submit" class="btn btn-primary">Login</button></p>
        <p style="padding-top: 10px"><a href="http://showkase.net/support/faq/" title="link to Showkase documentation" target="_blank">Lost your password?</a></p>
      </form>
    </div>
EOD;
    return $loginContent;
  }
}
