<?php
/**
 * Part of SimpleViewer.net portfolio web site package.
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'xml.php';

/**
 * Reads page vars from xml file
 *
 * @package Showkase
 */
Class PageReader
{
  /**
   * Reads page variables
   *
   * @param string path to xml file
   * @return array of page variables
   */
  public static function readPageVars($xmlPath)
  {
    if (!file_exists($xmlPath)) return array();
    try {
        $pageXml = new Xml($xmlPath);
    } catch(Exception $e) {
      Board::addMessage($e->getMessage(), 'error');
      return array();
    }
    $vars = array();
    $domDoc = $pageXml->getDomDoc();
    $settingsTags = $domDoc->getElementsByTagName('settings');
    $tags = $settingsTags->item(0)->childNodes;
    foreach ($tags as $tag)
    {
      $vars[$tag->nodeName] = $tag->nodeValue;
    }
    return $vars;
  }
}