<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'systembuttonbar.php';
 
/**
 * Repair screen
 *
 * @package Showkase
 */
class RecoverScreen extends Screen
{
  /**
   * @var string overrides some of head content in Screen
   */
  protected $customHeadHtml = '
  <script>
      $(function() {
          $("#selectall").on("click", function(event){
            $("input.selectimport").prop("checked", this.checked);
          });
      });
  </script>
';

 /**
   * Constructs Screen
   *
   * @access public
   * @return void
   * @param string content for html title tag
   * @param string body id
   */
   public function __construct($htmlTitle, $bodyId='', $bodyClass='allpages')
   {
     parent::__construct($htmlTitle, $bodyId, $bodyClass);
     $bb = new SystemButtonbar();
     $this->subNavHtml = $bb->getHtml();
   }


  /**
  * Returns list of pages as html table
  * @access public
  * @return string html table
  * @param array context
  */
  function getContentHtml($context)
  {
    $importable = $context['message'];
    $pagePrompt = 'No recoverable pages found.';
    if (!empty($context['scanData'])) {
        $pagePrompt = 'Select the pages to recover and click the Recover button.';
        $importable = '
    <table class="showkase-actions">
      <tr>
        <th>Folder name</th>
        <th>Type</th>
        <th>Import</th>
      </tr>
';
    foreach ($context['scanData'] as $key=>$dir) {
        $importable .= '
      <tr>
        <td>'.$dir['name'].'</td>
        <td>'.$dir['type'].'</td>
        <td><input type="checkbox" name="import['.$key.']" class="selectimport"></td>
      </tr>';
    }
    $importable .= '
      <tr>
        <td>Select all</td>
        <td>&nbsp;</td>
        <td><input type="checkbox" name="selectall" id="selectall"></td>
    </table>
';
    }

    $html = <<<EOD
  <form action = "index.php?cmd=recover" method="post">
    <div class="subhead">
      <div class="hgroup">
        <h2>Recover Deleted Files</h2>
      </div>
      <ul class="buttons">
        <li><button type="button" onclick="window.location='index.php';" class="btn btn-danger">Cancel</button></li>
        <li>
          <input type="hidden" name="token" value="{$context['token']}" >
          <input type="hidden" name="importsubmitted" value="true" >
          <button type="submit" class="btn btn-success formbutton" >Recover</button>
        </li>
      </ul>
    </div>
    <div class="prompt"> 
      <p class="prompt">{$pagePrompt}</p>
    </div>
    {$importable}
  </form>
EOD;
    return $html;
  }
}
