<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Makes image page objects
 *
 * @access public
 * @package Showkase
 */
Class ScreenFactory
{
  
  /**
   * Creates images screen object
   *
   * @access public
   * @param string gallery type
   * @return object screen object
   */
  public function makeImagesScreen($pageType, $page)
  {
    //$class = ucfirst($pageType).'ImagesScreen';
    if ($pageType == 'libraryBrowse') {
        $class = 'LibraryBrowseImagesScreen';
    } else {
        $class = ucfirst($page->getPluginType()).'ImagesScreen';
    }
    if (!class_exists($class)) throw new Exception('ScreenFactory cannot recognise the page type: <i>'.$class.'</i>');
    return new $class($page);
  }
}
