<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * JSON class
 * Handles JSON decode and error handling
 *
 * @access public
 * @package Showkase
 */
Class SkJson
{
    /**
     * @var mixed decoded JSON
     */
     private $decoded = array();
     
    /**
     * @var array json error messages
     */
    /*
    private $jsonErrors = array(
        JSON_ERROR_DEPTH => 'Maximum stack depth exceeded',
        JSON_ERROR_STATE_MISMATCH => 'Underflow or the modes mismatch',
        JSON_ERROR_CTRL_CHAR => 'Unexpected control character found',
        JSON_ERROR_SYNTAX => 'Syntax error, malformed JSON',
        JSON_ERROR_UTF8 => 'Malformed UTF-8 characters, possibly incorrectly encoded'
    );
    */
    
    /**
     * Initialise from JSON string
     * Some error handling is not available in older php version
     *
     * @param string json
     * @return boolean success
     */
    public function init($stringJson)
    {
        if (!is_string($stringJson)) {
            throw new Exception('SkJson expected string input got '.gettype($stringJson));
        }
        if ($stringJson == '') {
          return;
        }
        $this->decoded = json_decode($stringJson);
        if (is_null($this->decoded )) {
            $this->decoded = '';
            if (function_exists('json_last_error_msg')) {
                $errorCode = json_last_error();
                if ($errorCode === JSON_ERROR_NONE) {
                    return true;
                } else {
                  throw new Exception('JSON error - '.json_last_error_msg());
                }
            }
            if (function_exists('json_last_error')) {
                $errorCode = json_last_error();
                if ($errorCode === JSON_ERROR_NONE) {
                    return true;
                }
            } else {
                throw new Exception('JSON error, code '.$errorCode);
            }
            throw new Exception('Unknown JSON error');
        }
    }
    
    /**
     * Return results of parsing JSON string
     *
     * @return mixed
     */
    public function getJson()
    {
        return $this->decoded;
    }
     
}
