<?php
 /**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'screen.php';
require_once 'classes'.DIRECTORY_SEPARATOR.'helpers.php';
require_once 'classes'.DIRECTORY_SEPARATOR.'imagescreenhelper.php';
 
 /**
  * Images screen
  *
  * @package Showkase
  */
  class SortScreen extends Screen
  {
   /**
    * @var string overrides some of html in parent
    */
    protected $customHeadHtml = '
    <script src="scripts/formchange.js"></script>
    <script src="scripts/jquery/jquery-ui.min.js"></script>
    <script src="scripts/sort.js"></script>
    ';
    
   /**
    * constructs ImagesScreen class
    * @param string contains text for html <title></title> tags
    * @param string html id for body tag
    */
    public function __construct(Page $page)
    {
      parent::__construct('Showkase &ndash; thumbnail sort', 'sort', 'pages sort');
      $this->page = $page;
      $this->helper = new ImageScreenHelper($page);
      $bb = new GalleryButtonbar();
      $this->subNavHtml = $bb->getHtml();
    }

   /**
    * get html for images screen
    * Note that some class names are significant for manager.js
    *
    * @access public
    * @return string html
    * @param array context
    */
    public function getContentHtml($context)
    {
      if(!$this->page->isSupportedPageType()) return $this->helper->getUnsupportedPageHtml();
      if ($context['imageCount'] == 0) return $this->helper->getNoImagesHtml($context);
      $galleryRef = $this->page->gallery->getGalleryRef();
      $headerHtml = $this->helper->getHeaderHtml($context);
      $optionsHtml = $this->helper->getSortOptions();
      $html = <<<EOD
      <form class="changecheck" action="index.php?cmd=sort" method="post" >
        {$headerHtml}
        <div class="sortorder">
          <select name="sortOrder">
            {$optionsHtml}
          </select>
        </div>
        <ul id="sortable">
EOD;
      $i = 0;
      foreach ($this->helper->getImageData() as $key => $image) {
          $html .= '<li id="image_'.$i.'"><img src="'.$image['src'].'" width="'.THUMB_DISPLAY_SIZE.'" alt="" ></li>';
          $i++;
      }
      $html .= '
        </ul>
      </form>
';
      return $html;
    }
}
