<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'sitebuttonbar.php';
require_once 'classes'.DIRECTORY_SEPARATOR.'helpers.php';
require_once 'classes'.DIRECTORY_SEPARATOR.'customizescreenhelper.php';
 
/**
 * Customize screen
 *
 * @package Showkase
 */
class ThemeCustomizeScreen extends Screen
{
    /**
     * @var string overrides some of head content in Screen
     */
    protected $customHeadHtml;
    
    /**
     * @var object page
     */
    private $page;
    
    /**
     * @var string page type
     */
    private $pageType;
   
    /**
     * @var string tabs html
     */
    protected $subNavHtml;
    
    /**
     * @var object helper
     */
    private $helper;
    
    /**
     * constructor
     * @param string contains text for html <title></title> tags
     * @param string html id for body tag
     */
    public function __construct(Theme $page, $classes="")
    {
        $this->page = $page;
        $this->pageType = $page->getPageType();
        parent::__construct('Showkase &ndash; customize theme', 'themecustomize', $classes);
        $this->helper = new CustomizeScreenHelper($page, $this->pageSet);
        $this->customHeadHtml = $this->helper->getCustomHeadHtml();
        $bb = new SiteButtonbar();
        $this->subNavHtml = $bb->getHtml();
    }
  
    /**
     * get html for customize screen
     *
     * @return string html
     * @param array context
     */
    public function getContentHtml($context)
    {
      $headerHtml = '
        <h2>Customize <i>'.$this->page->getThemeDisplayName().'</i> Theme</h2>
        ';
      $fields = $this->helper->getAllFields();
      $tab = 0;
      $fieldsHtml = $this->getFieldsHtml($fields, $tab);
      if (count($fields) == 0) {
          $fieldsHtml = '
          <p>There are no settings in this theme.</p>
';
      }
      $formButtonHtml = $this->helper->getFormButtonHtml($context);
      $html = $this->getColorjackHtml();   
      $html .= <<<EOD
      <form class="changecheck form-horizontal" action = "index.php?cmd=themecustomize" id="customizeform" method="post">
        <div class="subhead">
          <div class="hgroup">
            {$headerHtml}
          </div>
          {$formButtonHtml}
        </div>
        {$fieldsHtml}
      </form>
EOD;
      return $html;
    }
}
