<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2013, SimpleViewer Inc.
 */
 defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
 $sep = DIRECTORY_SEPARATOR;
 require_once "commands{$sep}command.php" ;
 require_once "classes{$sep}filesscreen.php";
 require_once "classes{$sep}repairer.php";
 
/**
 * Command - Repair
 *
 * @package Showkase
 */
 class Files extends Command {
    function doExecute( Request $request ) {
        $context = array('token' => $request->newToken());
        $repairer = new Repairer();
        $scanData = $repairer->scanFilesData();
        if (!DEMO_MODE && isset($_GET['file'])) {
            try {
                if (!$request->validate()) {
                    throw new Exception('No action. Re-submission or remote submission is not allowed.');
                }
                if (false === Filer::rChmod($_GET['file'], 0777, 0777)) {
                    throw new Exception('Cannot change permissions, you may be able to change them with ftp');
                }
                Board::addMessage('Permissions changed to 0777', 'notice');
            } catch (Exception $e) {
                Board::addExceptionMessage($e);
            }
        }
        $screen = new FilesScreen('Showkase &ndash; files', 'files', 'admin files');
        $context['scanData'] = $scanData;
        print $screen->getHtml($context);
    }
}
