<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2013, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$ds = DIRECTORY_SEPARATOR;
require_once "commands{$ds}command.php" ;
require_once "classes{$ds}publisher.php";
require_once "classes{$ds}pageset.php";
require_once "classes{$ds}themeset.php";
require_once "classes{$ds}previewscreen.php";
require_once "classes{$ds}nav.php";
require_once "classes{$ds}pagefactory.php";
require_once "classes{$ds}galleryindex.php";
 
/**
 * Command - Publish
 *
 * @package Showkase
 */
class Publish extends Command
{
    function doExecute( Request $request )
    {
        $maxExecutionTime = ini_get('max_execution_time');
        if (
            $maxExecutionTime > 0
            && $maxExecutionTime < MAX_EXECUTION_TIME
        ) {
            set_time_limit(MAX_EXECUTION_TIME);
        }
        $config       = SkConfig::getInstance();
        $pageSet      = new PageSet();
        $themeSet     = new ThemeSet();
        $pageFactory  = new PageFactory($themeSet);
        $galleryIndex = new GalleryIndex($pageSet);
        $nav          = new Nav($pageFactory, $pageSet);
        $context      = array();
        $context['viewUrl'] = $config->getContentUrl().'/';
        if (!DEMO_MODE) {
            try {
                Publisher::republish($pageSet, $themeSet, $pageFactory, $galleryIndex, $nav);
                $pageSet->setPagesPref('publishing', 'published');
                $pageSet->savePagesPrefs();
            } catch (Exception $e) {
                $context['viewUrl'] = '';
                Board::addExceptionMessage($e);
            }
        }
        $screen = new PreviewScreen('Showkase &ndash; Preview', 'preview', 'preview');
        print $screen->getHtml($context);
    }
}
