<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2013, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$sep = DIRECTORY_SEPARATOR;
require_once "commands{$sep}command.php" ;
require_once "classes{$sep}repairscreen.php";
require_once "classes{$sep}pageset.php";
require_once "classes{$sep}pagefactory.php";
require_once "classes{$sep}pagereader.php";
require_once "classes{$sep}repairer.php";
require_once "classes{$sep}themeset.php";
 
/**
 * Command - Repair
 *
 * @package Showkase
 */
class Repair extends Command
{
    function doExecute( Request $request )
    {
        unset ($_SESSION['pageIndex']);
        $pageSet = new PageSet();
        $pageFactory = new PageFactory(new ThemeSet());
        $repairer = new Repairer();
        $context = array('token' => $request->newToken());
        if (isset($_POST['repairsubmitted'])) {
            try {
                if (!$request->validatePost()) {
                    throw new Exception('No action. Re-submission or remote submission is not allowed.');
                }
                $repairer->scanPagesData();
                $repairer->rebuildPagesData($pageSet, $pageFactory);
            } catch (Exception $e) {
                Board::addExceptionMessage($e);
            }
        }
        $screen = new RepairScreen('Showkase &ndash; repair', 'repair', 'admin repair');
        print $screen->getHtml($context);
    }
}
