<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$sep = DIRECTORY_SEPARATOR;
require_once "commands{$sep}command.php" ;
require_once "classes{$sep}sitecustomizescreen.php";
require_once "classes{$sep}pageset.php";
require_once "classes{$sep}themeset.php";
require_once "classes{$sep}publisher.php";
 
/**
 * Command - Site Customize
 *
 * @package Showkase
 */
class SiteCustomize extends Command
{
    function doExecute( Request $request )
    {
        $pageSet = new PageSet();
        $themeSet = new ThemeSet();
        $context = array('token' => $request->newToken());
        $site = new Site($themeSet);
        if ($request->propertyIsSet('customizesubmitted')) {
            try {
                if (!$request->validatePost()) {
                    throw new Exception('No action. Re-submission or remote submission is not allowed.');
                }
                $post = $request->getPost();
                $site->customize($post);
                $site->saveLayer();
                $pageSet->setPagesPref('publishing', 'unpublished');
                $pageSet->savePagesPrefs();
                $context['pageTypes'] = $themeSet->getPageTypes();
                Board::addMessage('Site settings saved');
            } catch (Exception $e) {
                Board::addExceptionMessage($e);
            }
        }
        $screen = new SiteCustomizeScreen($site, 'site customize sitecustomize');
        print $screen->getHtml($context);
    }
}
