/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2015, SimpleViewer Inc.
 */

$(document).ready(function() {
    $("#submitbtn").click(function() { 
	  var valid = true;
	  var output = '';
	  var postData = '';
		$("#contact-form input[required=true], #contact-form textarea[required=true]").each(function(){
  			$(this).removeClass('invalid'); 
  			if(!$.trim($(this).val())) { 
  				  $(this).addClass('invalid');  
  				  valid = false;
  			}
  			var emailRegEx = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/; 
  			if($(this).attr("type")==="email" && !emailRegEx.test($.trim($(this).val()))) {
    				$(this).addClass('invalid');   
    				valid = false;				
  			}	
		});
       
    if(valid) {
            postData = {
                'pagePath'   : $('input[name=pagepath]').val(),
        				'userName'	 : $('input[name=name]').val(), 
        				'userEmail'	 : $('input[name=email]').val(),  
        				'userMessage': $('textarea[name=message]').val()
        			};
            var processScript = $('input[name=script]').val();
            $.post(processScript, postData, function(response) {
    				if(response.type === 'error'){     
    					  output = '<div class="error">'+response.text+'</div>';
    				} else {
    				    output = '<div class="success">'+response.text+'</div>';
      					 //hide form after success
      					$("#contact-form #contact-body").slideUp(400, function() {
        					  $("#contact-form  input[required=true], #contact-form textarea[required=true]").val('');
      					});
    				}
    				$("#contact-form #contact-results").hide().html(output).slideDown();
                }, 'json');
            }
    });
    
    //reset previously set border colors and hide all message on .keyup()
    $("#contact-form  input[required=true], #contact-form textarea[required=true]").keyup(function() { 
        $(this).removeClass('invalid');
        $("#result").slideUp();
    });
});
