<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'gallery.php';
 
/**
 * Stores libray images
 *
 * @package Showkase
 */
class LibraryGallery extends Gallery
{
  
    /**
     * @var string gallery type
     *
     */
    protected $galleryType = 'library';
    
    /**
     * @var string name of image class
     */
    protected $imageClass = 'LibraryImage';
    
    /**
     * @var string default image path
     */
    protected $imageDirPathRelGallery = LIBRARY_DEFAULT_IMAGE_PATH;
    
    /**
     * @var string default thumb path
     */
    protected $thumbDirPathRelGallery = LIBRARY_DEFAULT_THUMB_PATH;
    
    /**
     * @var integer thumb width
     */ 
    protected $thumbWidth = LIBRARY_THUMB_WIDTH;
  
    /**
     * @var integer thumb height
     */
    protected $thumbHeight = LIBRARY_THUMB_HEIGHT;
    
    /**
     * @var integer thumb quality
     */
    protected $thumbQuality = LIBRARY_THUMB_QUALITY;
    
    /**
     * @var string settings tag in gallery xml file
     */
    //protected $xmlSettingsTag = LIBRARY_XML_SETTINGS_TAG;
    
    /**
     * @var string gallery.xml file image tag name
     */
    //protected $xmlImageTag = LIBRARY_XML_IMAGE_TAG; 
    
    /**
     * Overrides Parent::SaveGallery
     *
     * @access public
     * @param boolean for compatibility with parent function
     * @return void
     */
    function saveGallery($checkThumb = false)
    {
        $this->saveImageData();
    }
    
   /**
    * dummy get prefix for colors in gallery.xml
    * @return string
    */
    public function getColorPrefix()
    {
        return '';
    }
  
   /**
    * dummy get xml path
    *
    * @access private
    * @return string calculated xml path
    */
    function getXmlPath()
    {
        return '';
    }
  
    /**
     * Dummy set captions in image data
     *
     * @access public
     * @return  boolean true on success
     * @param array captions
     */
    function setAllImageAttributes($post)
    {
        return true;
    }
    
    /**
     * Dummy import method
     *
     * @return array of gallery settings
     */
    public function importConfig()
    {
        return array();
    }
    
    /**
     * Update multi-images when settings have changed
     *
     * @return void
     */
     public function updateMultiImages()
     {
         return;
     }
}
