<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'page.php';
 
/**
 * AutoViewer page
 *
 * @package Showkase
 */
class ListviewerPage extends Page
{
    /**
     * @var object gallery
     */
    public $gallery;
    
    /**
     * Constructor
     */
    public function __construct(Viewer $viewer, $ref, $pageType, $path, ThemeSet $themeSet)
    {
        parent::__construct($viewer, $ref, $pageType, $path, $themeSet);
        $galleryRef = $this->getRef();
        $galleryPath = $this->getPagePathRelSvm();
        $this->gallery = new ListviewerGallery($this, $galleryRef, $galleryPath);
    }
    
    /**
     * Is this page type a gallery
     *
     * @return boolean
     */
    public function isGallery()
    {
        return true;
    }
}    