/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2016, SimpleViewer Inc.
 */
 
var global_target;
var global_browseWin;

/**
 * Hide optional fields on load
 */
$(function(){
  $('fieldset + fieldset .fields, h3 + fieldset .fields').slideUp(0);
  $('fieldset + fieldset legend, h3 + fieldset legend').addClass('closed');
});

$(function(){
  $('#customizeform').on('click', 'legend', function(e) {
    $(e.target).toggleClass('closed');
    $(e.target).next().slideToggle('slow');
  });
});

/**
 * reset button
 */
$(function() {
  $('#customizeform').on('click', 'button', function(e) {
    var clicked  = $(e.target);
        inputId = '';
    // fix for Chrome target is span inside button
    if (clicked[0].hasAttribute('data-sk-for')) {
      inputId = clicked.attr('data-sk-for');
    } else {
      inputId = clicked.parent().attr('data-sk-for');
    }
    var skInput = $('#' + inputId);
    switch (true) {
      case (skInput.prop('nodeName') === 'SELECT') :
      case (skInput.prop('nodeName') === 'INPUT' && skInput.attr('type') === 'text') :
        skInput.val(skInput.attr('data-sk-default'));
        if (!skInput.hasClass('colorpicker')) {
          break;
        }
        var hsv = hex2hsv(skInput.attr('data-sk-default')),
            foreground = (hsv[2] < 70) ?  '#FFFFFF' : '#000000';
        skInput.css({background: '#'+skInput.attr('data-sk-default'), color: foreground});
        break;
      case (skInput.prop('nodeName') === 'INPUT' && skInput.attr('type') === 'checkbox') :
        skInput.prop('checked', skInput.attr('data-sk-default'));
        break;
    }
    skInput.parent().addClass('default');
  });
  
  $('#customizeform').on('change', function(e) {
    var changed = $(e.target),
      isDefault = true;
    switch(true) {
      case (changed.prop('nodeName') === 'SELECT') :
      case (changed.prop('nodeName') === 'INPUT' && changed.attr('type') === 'text') :
        isDefault = (changed.val() === changed.attr('data-sk-default'));
        break;
      case (changed.prop('nodeName') === 'INPUT' && changed.attr('type') === 'checkbox') :
        isDefault = (changed.prop('checked') === Boolean(changed.attr('data-sk-default')));
    }
    changed.parent().toggleClass('default', isDefault);
  });
});

/**
 * Image browse
 */
 $(function(){
   $('button.imagesrc').on('click', function(event){
     if(!global_browseWin || global_browseWin.closed)
     {
       global_browseWin = window.open('index.php?cmd=librarybrowseimages', this.name, 'width=980, height=768, scrollbars=yes');
     }
     else global_browseWin.focus();
   });
 });

/**
 * Initialise the color picker
 */
$(function(){
  // load the slider
  loadSV();
  // set the hue
  updateH('F1FFCC');
  $('input, select, textarea').not('input.colorpicker')
    .on('focus', function(event) {
    $('#plugin').css({display: 'none'}); 
    });
  $('input.colorpicker')
    .on("focus", function(event){
      global_target = $(this);
      updateH($(this).val());
      $('#plugHEX').html($(this).val());
      var position = $(this).position();
      $('#plugin:visible').animate({top: position.top}, 'slow', 'swing');
      $('#plugin:hidden').css({top: position.top, display: 'block'});
    })
    .on("keyup", setColors)
    .each(setColors);
});

/**
 * Set input element color and background from value
 */
function setColors()
{
  var thisValue = $(this).val();
  var thisColor = thisValue;
  if (thisValue.charAt(0) == '#') thisColor = thisValue.slice(1);
  if (thisValue.toLowerCase().substring(0,2) == '0x') thisColor = thisValue.slice(2);
  if (!(thisColor.match('^([0-9a-fA-F]{6})$')))
  {
    $(this).css({background: '#FFFFFF', color: '#FF0000'});
    return;
  }
  updateH(thisColor);
  $('#plugHEX').html(thisColor);
  var hsv = hex2hsv(thisColor);
  var foreground = (hsv[2] < 70) ?  '#FFFFFF' : '#000000';
  $(this).css({background: '#' + thisColor, color: foreground});

}

/**
 * Called by colorjack plugin
 * v is hex color string with no leading #
 * hex2hsv function is provided by plugin
 */
function mkColor(v)
{
  var hsv = hex2hsv(v);
  var foreground = (hsv[2] < 70) ?  '#FFFFFF' : '#000000';
  global_target.val(v).css({background: '#'+v, color: foreground}).change();
}
