// When opening a dialog, its "definition" is created for it, for
// each editor instance. The "dialogDefinition" event is then
// fired. We should use this event to make customizations to the
// definition of existing dialogs.
CKEDITOR.on( 'dialogDefinition', function( ev )
	{
		// Take the dialog name and its definition from the event
		// data.
		var dialogName = ev.data.name;
		var dialogDefinition = ev.data.definition;

		// Check if the definition is from the dialog we're
		// interested on (the "Image" dialog).
		if ( dialogName == 'image' )
		{
			// Change browse button text
			var infoTab = dialogDefinition.getContents( 'info' );
			var browseButton = infoTab.get('browse' );
			browseButton['label'] = 'Browse library';
			// add default class
			var advancedTab = dialogDefinition.getContents('advanced');
			var styleField = advancedTab.get('txtGenClass');
			styleField['default'] = "sk-auto-height";
		}
	});
